@tool
extends Control

var editor_file_dialog: EditorFileDialog

@onready var label: Label = $V/Label
@onready var file_dialog: FileDialog = $V/ShowFileDialog/FileDialog


func _ready() -> void:
	# EditorFileDialog uses editor translation by default. No need to do anything.
	editor_file_dialog = EditorFileDialog.new()
	editor_file_dialog.file_mode = EditorFileDialog.FILE_MODE_OPEN_FILE
	editor_file_dialog.access = EditorFileDialog.ACCESS_RESOURCES
	editor_file_dialog.file_selected.connect(_on_file_selected)
	add_child(editor_file_dialog)
	
	# You should translate FileDialog yourself: Check "Add Built-in Strings to POT"
	# when generating the POT.
	# Uncomment the next line to make `file_dialog` use editor translation instead.
	#file_dialog.set_translation_domain("godot.editor")


func _on_show_editor_file_dialog_pressed() -> void:
	editor_file_dialog.popup_file_dialog()


func _on_show_file_dialog_pressed() -> void:
	file_dialog.popup_centered()


func _on_file_selected(path: String) -> void:
	# Use `tr()` as usual.
	label.text = tr("You just selected: %s") % path
