@tool
extends EditorPlugin

# Pick a unique translation domain name
const TRANSLATION_DOMAIN := "com.example.plugin"

var demo: Control


func _enter_tree() -> void:
	# Load translations into that translation domain
	var domain := TranslationServer.get_or_add_domain(TRANSLATION_DOMAIN)
	domain.add_translation(preload("res://addons/myplugin/translations/zh_CN.po"))
	domain.add_translation(preload("res://addons/myplugin/translations/ja_JP.po"))
	
	demo = preload("res://addons/myplugin/demo.tscn").instantiate()
	
	# Make the root UI node use that translation domain
	demo.set_translation_domain(TRANSLATION_DOMAIN)
	
	add_control_to_dock(EditorPlugin.DOCK_SLOT_RIGHT_BL, demo)


func _exit_tree() -> void:
	remove_control_from_docks(demo)
	demo.queue_free()
	
	# remove that translation domain
	TranslationServer.remove_domain(TRANSLATION_DOMAIN)
